## org.apache.fop.fo
Class FOText

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FOText

public class FOText
extends FONode

a text node in the formatting object tree

Field Summary
`protected char[]` `ca`
`protected int` `length`
`protected boolean` `lineThrough`
`protected boolean` `overlined`
`protected int` `start`
`protected boolean` `underlined`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`FOText(char[] chars, int s, int e, FObj parent)`

Method Summary
`protected static int` `addRealText(BlockArea ba, FontState fontState, float red, float green, float blue, int wrapOption, LinkSet ls, int whiteSpaceCollapse, char[] data, int start, int end, TextState textState, int vAlign)`
`static int` `addText(BlockArea ba, FontState fontState, float red, float green, float blue, int wrapOption, LinkSet ls, int whiteSpaceCollapse, char[] data, int start, int end, TextState textState, int vAlign)`
`Status` `layout(Area area)`
`void` `setLineThrough(boolean lt)`
`void` `setOverlined(boolean ol)`
`void` `setUnderlined(boolean ul)`
`boolean` `willCreateArea()`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, getProperty, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ca

    protected char[] ca

### start

    protected int start

### length

    protected int length

### underlined

    protected boolean underlined

### overlined

    protected boolean overlined

### lineThrough

    protected boolean lineThrough

Constructor Detail

### FOText

    public FOText(char[] chars,
                  int s,
                  int e,
                  FObj parent)

Method Detail

### setUnderlined

    public void setUnderlined(boolean ul)

### setOverlined

    public void setOverlined(boolean ol)

### setLineThrough

    public void setLineThrough(boolean lt)

### willCreateArea

    public boolean willCreateArea()

### layout

    public Status layout(Area area)
                  throws FOPException

  Overrides:
    layout in class FONode

### addText

    public static int addText(BlockArea ba,
                              FontState fontState,
                              float red,
                              float green,
                              float blue,
                              int wrapOption,
                              LinkSet ls,
                              int whiteSpaceCollapse,
                              char[] data,
                              int start,
                              int end,
                              TextState textState,
                              int vAlign)

### addRealText

    protected static int addRealText(BlockArea ba,
                                     FontState fontState,
                                     float red,
                                     float green,
                                     float blue,
                                     int wrapOption,
                                     LinkSet ls,
                                     int whiteSpaceCollapse,
                                     char[] data,
                                     int start,
                                     int end,
                                     TextState textState,
                                     int vAlign)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.